# Produce MSDOS executables
# links with PDPCLIB created by makefile.wcd

CC=wcl
COPTS=-ecc -q -w -c -ml -zl -D__MSDOS__ -fpi87 -s -zdp -zu -I. -I..\..\pdos\pdpclib

all: clean scc.exe

scc.exe: cg.obj decl.obj error.obj expr.obj gen.obj main.obj misc.obj \
    opt.obj prep.obj scan.obj stmt.obj sym.obj tree.obj \
    strdup.obj
  wlink File main.obj Name scc.exe Form dos Library temp.lib,..\..\pdos\pdpclib\watcom.lib Option quiet,map
  del strdup.c

.c.obj:
  $(CC) $(COPTS) $<
  wlib -b -q temp +$*.obj

clean:
  rm -f *.obj
  rm -f scc.exe
  rm -f temp.lib
  copy lib\strdup.c
